/*  XRoar - a Dragon/Tandy Coco emulator
 *  Copyright (C) 2003  Ciaran Anscomb
 *
 *  See LICENSE for redistribution conditions. */

#ifndef __M6809_H__
#define __M6809_H__

#include <SDL/SDL_types.h>

typedef union {
	Uint16 reg_d;
	struct {
#if __BYTE_ORDER == __LITTLE_ENDIAN
		Uint8 reg_b;
		Uint8 reg_a;
#else
		Uint8 reg_a;
		Uint8 reg_b;
#endif
	} reg_ab;
} accumulator_t;

extern int trace;
extern Uint8 reg_cc, reg_dp;
extern Uint16 reg_x, reg_y, reg_u, reg_s, reg_pc;
extern accumulator_t reg_accum;

void m6809_init(void);
void m6809_reset(void);
void m6809_cycle(void);

#endif  /* __M6809_H__ */
